#ifndef __UTIL_H__
#define __UTIL_H__

#include <vector>
#include <iostream>

using namespace std;

ostream & operator<<(ostream &, vector<bool> &);

vector<int> _play_game(vector<bool> & players, const int step);
int _increment_to_next_looser(const vector<bool> & players, int start, const int step);

int _test_run(int n, int m, bool verbose=false);

#endif
